%define _requires_exceptions devel(libatiuki)\\|devel(libpulsecommon-0.9.22)

Name: phonon-xine
Summary: Xine backend to Phonon
Version: 4.4.4
Release: %mkrel 5
Group: Graphical desktop/KDE4
License: LGPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-xine/%version/phonon-backend-xine-%version.tar.xz
Patch0: phonon-backend-xine-4.4.4-detect-phonon.patch
BuildRequires: libxine-devel
BuildRequires: libxcb-devel
BuildRequires: kde4-macros
BuildRequires: automoc
BuildRequires: phonon-devel >= 4.4.4
Requires: xine-plugins
Provides: phonon-backend
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2

%description -n phonon-xine
Xine backend to Phonon.

%files -n phonon-xine
%defattr(-,root,root)
%dir %_kde_libdir/kde4/plugins/phonon_backend
%_kde_libdir/kde4/plugins/phonon_backend/phonon_xine.so
%_libdir/qt4/plugins/phonon_backend/phonon_xine.so
%_kde_datadir/kde4/services/phononbackends/xine.desktop
%_kde_iconsdir/*/*/*/phonon-xine.*

#--------------------------------------------------------------------

%prep
%setup -qn phonon-backend-xine-%version
%patch0 -p1

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

mkdir -p %{buildroot}/%_libdir/qt4/plugins/phonon_backend
cp %{buildroot}/%_libdir/kde4/plugins/phonon_backend/phonon_xine.so %{buildroot}/%_libdir/qt4/plugins/phonon_backend/phonon_xine.so



%clean
rm -rf "%{buildroot}"


%changelog
* Fri Jul 26 2013 Texstar <texstar at gmail.com> 4.4.4-4pclos2013
- rebuild against updated alsalibs

* Mon Jul 09 2013 Texstar <texstar at gmail.com> 4.4.4-3pclos2013
- add qt4/plugins symlink for phonon working outside of kde

* Mon May 13 2013 Texstar <texstar at gmail.com> 4.4.4-2pclos2013
- rebuild against glibc 2.16
- add build patch

* Fri Jan 28 2011 Texstar <texstar at gmail.com> 4.4.4-1pclos2011
- 4.4.4

